TIBCO EMS .NET API 8.5 TIBCO EMS .NET API 8.5

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
TIBCO.EMS.TemporaryTopic Class Reference

A TemporaryTopic object is a unique Topic object created for the duration of a Connection. More...

Inheritance diagram for TIBCO.EMS.TemporaryTopic:

## Public Member Functions
override Object | Clone ()
| Throws a NotSupported Exception More...
void | Delete ()
| Deletes this temporary topic. More...
Public Member Functions inherited from TIBCO.EMS.Topic
| Topic (String name)
| Constructs a new Topic object with the given name. More...
override Object | Clone ()
| Implementation of ICloneable. Overrides the cloning process. More...
override bool | Equals (Object obj)
| Compare with another object for equality. More...
override int | GetHashCode ()
| Returns a hashcode representing the current object More...
override string | ToString ()
| Returns a string representation of this `Topic` object. More...
Public Member Functions inherited from TIBCO.EMS.Destination
override string | ToString ()
| Returns a string representation of the destination. More...
override bool | Equals (Object obj)
| Compare with another object for equality. More...
override int | GetHashCode ()
| Returns a hashcode representing the current object More...

## Additional Inherited Members
Properties inherited from TIBCO.EMS.Topic
string | TopicName`[get]`
| Gets the name of the topic More...

## Detailed Description

A TemporaryTopic object is a unique Topic object created for the duration of a Connection.

A TemporaryTopic object can be created either at the Session or TopicSession level. Creating a TemporaryTopic at the Session level allows the TemporaryTopic to participate in the same transaction with objects from the PTP domain. If a TemporaryTopic is created at the TopicSession level, it will only be able participate in transactions with objects from the Pub/Sub domain

Programs can use temporary topics as reply destinations. A temporary topic exists only for the duration of the session's connection, and is available only within that connection. Only consumers associated with the same connection as the TemporaryTopic can consume messages from a TemporaryTopic.

Servers connected by routes exchange messages sent to TemporaryTopic.

## Member Function Documentation

override Object TIBCO.EMS.TemporaryTopic.Clone | ( |  | ) |
| inline virtual

Throws a NotSupported Exception

Reimplemented from TIBCO.EMS.Destination.

void TIBCO.EMS.TemporaryTopic.Delete | ( |  | ) |
| inline

Deletes this temporary topic.

When a client deletes a temporary topic, the server deletes any unconsumed messages in the topic.

If the client still has listeners or receivers for the topic, or is in the middle of a Receive call, then Delete throws an EMSException.